import * as Converse from 'converse-common';

export class ConverseRequest implements Converse.IConverseRequest {
	public intent: string = '';
	public input: string = '';
	public contexts: Converse.IConversationContext[] = [];

	public forInput(input: string): ConverseRequest {
		this.input = input;
		return this;
	}

	public forIntent(name: string): ConverseRequest {
		this.intent = name;
		return this;
	}

	public addContext(name: string, value: any): ConverseRequest {
		this.contexts.push({
			name: name,
			value: value
		});

		return this;
	}
}
